summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authortomboy64 <tomboy64@sina.cn>2015-10-07 11:40:40 +0200
committerMatthew Thode <prometheanfire@gentoo.org>2015-10-08 16:29:00 -0500
commitbdbf88ecfd1d46b195865b6f1194bfdba27917cd (patch)
tree959c72c1eb95eceff2bac53f5919cec07c3c991e /app-text
parentnet-analyzer/metasploit: I thought keeping the live ebuild in my overlay woul... (diff)
downloadgentoo-bdbf88ecfd1d46b195865b6f1194bfdba27917cd.tar.gz
gentoo-bdbf88ecfd1d46b195865b6f1194bfdba27917cd.tar.bz2
gentoo-bdbf88ecfd1d46b195865b6f1194bfdba27917cd.zip
app-text/sigil: version bump and general maintenance
- pruned old versions: 0.8.5, 0.8.6, 0.8.6-r1, 0.8.900_pre - version bump: added 0.8.901_pre This bump introduces the use of python-single-r1.eclass as well as several python dependencies needed for sigil's plugins. - fixed bug #561690: added >=sys-devel/gcc-4.8 to DEPEND for 0.8.7-r1 (revbump) and 0.8.901_pre - fixed bug #562142: This was introduced by my fix for bug #440704. Changing the fix to simply remove 'CMAKE_BUILD_TYPE="Release"' and NOT rely on semi-random sed-operations. (thx to mgorny for suggesting the fix) - removed eutils.eclass from 0.8.7-r1 (revbump) and 0.8.901_pre (thx to kensington for pointing it out) (cherry picked from commit 543bd475cd622887f5bad8a7b7ea60205433128c)
Diffstat (limited to 'app-text')
-rw-r--r--app-text/sigil/Manifest4
-rw-r--r--app-text/sigil/sigil-0.8.6-r1.ebuild65
-rw-r--r--app-text/sigil/sigil-0.8.6.ebuild55
-rw-r--r--app-text/sigil/sigil-0.8.7-r1.ebuild (renamed from app-text/sigil/sigil-0.8.5.ebuild)22
-rw-r--r--app-text/sigil/sigil-0.8.901_pre.ebuild (renamed from app-text/sigil/sigil-0.8.900_pre.ebuild)36
5 files changed, 32 insertions, 150 deletions
diff --git a/app-text/sigil/Manifest b/app-text/sigil/Manifest
index 9debb23a9ad..42ce7a3784d 100644
--- a/app-text/sigil/Manifest
+++ b/app-text/sigil/Manifest
@@ -1,4 +1,2 @@
-DIST sigil-0.8.5.tar.gz 19394323 SHA256 12540493685988a2a3a3898675b8c92c422fbec43513bdd935b802fc68ca40f4 SHA512 fd4d65afe5afe97522727681963c08483b9ab78070fed2e13c987a45d5f8b9885d7a55c721d25213c097016bd1c375369f1ebedc079329bd995955e6d75d2d06 WHIRLPOOL 0026e04e9f304186a5f6c6d7756cdb30c004e0da4f969d89c19dfa1a475dfe29a85058c82d4066089111778d83c411d520bced0ce19e8fd94b80f0a1a5608ad6
-DIST sigil-0.8.6.tar.gz 19394568 SHA256 5f89b47abbf0a7befa4e776083db5426456f8ef1ef50bd168dc98d621fb2ad26 SHA512 5d45ca43520f6fd13e83c97da24d613a05e9b33dd0e07637f872a0fb6050f345f9228a8f63d1e81ee727f07d6dbdf306d55fdb51d0ac67dde33327465c3c6732 WHIRLPOOL 99388aef513842b930c4f549fdfa23414366a9af390850fa982dd3ef53d59ab4bd443001929bb50d83699ed4f960104f8f96452744a9acb5f08416843dcbe960
DIST sigil-0.8.7.tar.gz 19394061 SHA256 0352cc46714ebb5067a0fbdbbc76dded8f10ea0f4f43374c7dbcac6eba49e104 SHA512 24b74c835ae1f8fb887c9d2c59b3ccc6720ce1fe8d19a6b0056754ab5ea6e63c34c4b229f4e4b3a880e722876d288e58385f5a0ad15b295f147b77b1acf28652 WHIRLPOOL 2cb7a8a928069a2f005396faa9bdacde1f77f3cca3a3ba2458b8562e48298a127b9de9d7ecea5f106ad68865d5074b13fff5a234497b2b6655ac1a3c3edef827
-DIST sigil-0.8.900_pre.tar.gz 17691810 SHA256 8f96b2220abb96c53d72d4d2f704f9fdbd60443ace2f226ebc19c14e43ca0e5a SHA512 4b642c21e9500db04fe31117cdf3a083e4609ddc0e1c6323d1561e771bb033ab57d2edb024a12a74400332d97e5d5ee2d25f4635f87df9c09d940a6b12700518 WHIRLPOOL 14262882ce60bec0fb66a20afd3241390f97aa97cf29b32bf159703ddbf18a0dd7bfa463737573d266522eccb4ed15e89e8bf9ec03357929bfeaf6dcfa61a29e
+DIST sigil-0.8.901_pre.tar.gz 17447097 SHA256 f72b22949679d545e0565c77361f574d4b6149c7b74f4ea855d4ef8f9b85bbb3 SHA512 a776cf5cc2f39a69dd02df8ced07523317f6e6b9259525efd98169410430c7a400275c1e4e1b5676cd96b22a22a0993a29c32c3bf37842cbcc278064b15c1356 WHIRLPOOL 0a410b374eb0490778b209a5579142cf85f43407ea6082ccf8c864f7f350a12d3502ced0b31ecb619a017c89c8e60ffe0fbc3d9d35c1262991822d89f3b9887c
diff --git a/app-text/sigil/sigil-0.8.6-r1.ebuild b/app-text/sigil/sigil-0.8.6-r1.ebuild
deleted file mode 100644
index 45fc34761c7..00000000000
--- a/app-text/sigil/sigil-0.8.6-r1.ebuild
+++ /dev/null
@@ -1,65 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-CMAKE_MIN_VERSION="3.0"
-CMAKE_BUILD_TYPE="Release"
-
-# This ebuild could use some python checks, as sigil contains python plugin architecture.
-
-inherit eutils cmake-utils
-
-MY_PN="Sigil"
-
-DESCRIPTION="Sigil is a multi-platform WYSIWYG ebook editor for ePub format"
-HOMEPAGE="http://sigil-ebook.com/"
-SRC_URI="https://github.com/user-none/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
- >=app-text/hunspell-1.3.2
- >=dev-libs/boost-1.49[threads]
- >=dev-libs/libpcre-8.31[pcre16]
- >=dev-libs/xerces-c-3.1.1[icu]
- >=dev-qt/qtconcurrent-5.4:5
- >=dev-qt/qtcore-5.4:5
- >=dev-qt/qtgui-5.4:5
- >=dev-qt/qtnetwork-5.4:5
- >=dev-qt/qtprintsupport-5.4:5
- >=dev-qt/qtsvg-5.4:5
- >=dev-qt/qtwebkit-5.4:5
- >=dev-qt/qtwidgets-5.4:5
- >=dev-qt/qtxml-5.4:5
- >=dev-qt/qtxmlpatterns-5.4:5
- >=sys-libs/zlib-1.2.7[minizip]
-"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=dev-qt/linguist-tools-5.4:5
-"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-DOCS=( README.md )
-
-src_prepare() {
- # sigil tries to copy non-needed qt libs for deb package, safe to ignore this completely
- sed -e '/set( QT_LIBS/d' -i src/Sigil/CMakeLists.txt || die "sed failed"
-
- cmake-utils_src_prepare
-}
-
-src_configure() {
- cmake-utils_src_configure
-
- cd "${WORKDIR}/${P}_build" || die "Where is the build dir?"
- for i in CMakeCache.txt src/Sigil/CMakeFiles/sigil.dir/link.txt $(find . -name '*.make')
- do
- sed -e 's/-O3 -DNDEBUG/-DNDEBUG/' -i ${i} || die "sed failed"
- done
-}
diff --git a/app-text/sigil/sigil-0.8.6.ebuild b/app-text/sigil/sigil-0.8.6.ebuild
deleted file mode 100644
index f830538b473..00000000000
--- a/app-text/sigil/sigil-0.8.6.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-CMAKE_MIN_VERSION="3.0"
-CMAKE_BUILD_TYPE="Release"
-
-# This ebuild could use some python checks, as sigil contains python plugin architecture.
-
-inherit eutils cmake-utils
-
-MY_PN="Sigil"
-
-DESCRIPTION="Sigil is a multi-platform WYSIWYG ebook editor for ePub format"
-HOMEPAGE="http://sigil-ebook.com/"
-SRC_URI="https://github.com/user-none/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
- >=sys-libs/zlib-1.2.7[minizip]
- >=dev-libs/libpcre-8.31[pcre16]
- >=dev-libs/boost-1.49[threads]
- >=app-text/hunspell-1.3.2
- >=dev-libs/xerces-c-3.1.1[icu]
- >=dev-qt/qtcore-5.4:5
- >=dev-qt/qtwebkit-5.4:5
- >=dev-qt/qtsvg-5.4:5
- >=dev-qt/qtgui-5.4:5
- >=dev-qt/qtwidgets-5.4:5
- >=dev-qt/qtxml-5.4:5
- >=dev-qt/qtxmlpatterns-5.4:5
- >=dev-qt/qtconcurrent-5.4:5
- >=dev-qt/qtprintsupport-5.4:5
- >=dev-qt/qtnetwork-5.4:5
-"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=dev-qt/linguist-tools-5.4:5
-"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-DOCS=( README.md )
-
-src_prepare() {
- # sigil tries to copy non-needed qt libs for deb package, safe to ignore this completely
- sed -e '/set( QT_LIBS/d' -i src/Sigil/CMakeLists.txt || die 'sed failed'
-
- cmake-utils_src_prepare
-}
diff --git a/app-text/sigil/sigil-0.8.5.ebuild b/app-text/sigil/sigil-0.8.7-r1.ebuild
index f830538b473..6b75376d534 100644
--- a/app-text/sigil/sigil-0.8.5.ebuild
+++ b/app-text/sigil/sigil-0.8.7-r1.ebuild
@@ -4,7 +4,6 @@
EAPI=5
CMAKE_MIN_VERSION="3.0"
-CMAKE_BUILD_TYPE="Release"
# This ebuild could use some python checks, as sigil contains python plugin architecture.
@@ -14,7 +13,7 @@ MY_PN="Sigil"
DESCRIPTION="Sigil is a multi-platform WYSIWYG ebook editor for ePub format"
HOMEPAGE="http://sigil-ebook.com/"
-SRC_URI="https://github.com/user-none/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/Sigil-Ebook/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
@@ -22,23 +21,24 @@ KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="
- >=sys-libs/zlib-1.2.7[minizip]
- >=dev-libs/libpcre-8.31[pcre16]
- >=dev-libs/boost-1.49[threads]
>=app-text/hunspell-1.3.2
+ >=dev-libs/boost-1.49[threads]
+ >=dev-libs/libpcre-8.31[pcre16]
>=dev-libs/xerces-c-3.1.1[icu]
+ >=dev-qt/qtconcurrent-5.4:5
>=dev-qt/qtcore-5.4:5
- >=dev-qt/qtwebkit-5.4:5
- >=dev-qt/qtsvg-5.4:5
>=dev-qt/qtgui-5.4:5
+ >=dev-qt/qtnetwork-5.4:5
+ >=dev-qt/qtprintsupport-5.4:5
+ >=dev-qt/qtsvg-5.4:5
+ >=dev-qt/qtwebkit-5.4:5
>=dev-qt/qtwidgets-5.4:5
>=dev-qt/qtxml-5.4:5
>=dev-qt/qtxmlpatterns-5.4:5
- >=dev-qt/qtconcurrent-5.4:5
- >=dev-qt/qtprintsupport-5.4:5
- >=dev-qt/qtnetwork-5.4:5
+ >=sys-libs/zlib-1.2.7[minizip]
"
DEPEND="${RDEPEND}
+ >=sys-devel/gcc-4.8
virtual/pkgconfig
>=dev-qt/linguist-tools-5.4:5
"
@@ -49,7 +49,7 @@ DOCS=( README.md )
src_prepare() {
# sigil tries to copy non-needed qt libs for deb package, safe to ignore this completely
- sed -e '/set( QT_LIBS/d' -i src/Sigil/CMakeLists.txt || die 'sed failed'
+ sed -e '/set( QT_LIBS/d' -i src/Sigil/CMakeLists.txt || die "sed failed"
cmake-utils_src_prepare
}
diff --git a/app-text/sigil/sigil-0.8.900_pre.ebuild b/app-text/sigil/sigil-0.8.901_pre.ebuild
index 9ec78bd7b8b..43cb414b4e3 100644
--- a/app-text/sigil/sigil-0.8.900_pre.ebuild
+++ b/app-text/sigil/sigil-0.8.901_pre.ebuild
@@ -4,14 +4,14 @@
EAPI=5
CMAKE_MIN_VERSION="3.0"
-CMAKE_BUILD_TYPE="Release"
-# This ebuild could use some python checks, as sigil contains python plugin architecture.
+# Sigil supports Python 3.5 already. Include it when we have the deps for it.
+PYTHON_COMPAT=( python3_4 )
-inherit eutils cmake-utils
+inherit eutils cmake-utils python-single-r1
MY_PN="Sigil"
-MY_PV="0.8.900"
+MY_PV="0.8.901"
DESCRIPTION="Sigil is a multi-platform WYSIWYG ebook editor for ePub format"
HOMEPAGE="http://sigil-ebook.com/"
@@ -23,10 +23,17 @@ KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="
- dev-lang/python:3.4
- >=dev-libs/boost-1.49[threads]
- >=dev-libs/libpcre-8.31[pcre16]
- >=dev-libs/xerces-c-3.1.1[icu]
+ dev-libs/boost[threads]
+ dev-libs/libpcre[pcre16]
+ dev-libs/xerces-c[icu]
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/cssselect[${PYTHON_USEDEP}]
+ dev-python/cssutils[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
>=dev-qt/qtconcurrent-5.4:5
>=dev-qt/qtcore-5.4:5
>=dev-qt/qtgui-5.4:5
@@ -37,16 +44,19 @@ RDEPEND="
>=dev-qt/qtwidgets-5.4:5
>=dev-qt/qtxml-5.4:5
>=dev-qt/qtxmlpatterns-5.4:5
- >=sys-libs/zlib-1.2.7[minizip]
+ sys-libs/zlib[minizip]
"
DEPEND="${RDEPEND}
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=sys-devel/gcc-4.8
virtual/pkgconfig
>=dev-qt/linguist-tools-5.4:5
"
S="${WORKDIR}/${MY_PN}-${MY_PV}"
-DOCS=( README.md ChangeLog.txt )
+DOCS=( ChangeLog.txt README.md )
src_prepare() {
# sigil tries to copy non-needed qt libs for deb package, safe to ignore this completely
@@ -61,10 +71,4 @@ src_configure() {
-DSYSTEM_LIBS_REQUIRED=1
)
cmake-utils_src_configure
-
- cd "${WORKDIR}/${P}_build" || die "Where is the build dir?"
- for i in CMakeCache.txt src/CMakeFiles/sigil.dir/link.txt $(find . -name '*.make')
- do
- sed -e 's/-O3 -DNDEBUG/-DNDEBUG/' -i ${i} || die "sed failed"
- done
}